This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304117 - Lettuce fails to run
Lettuce fails to run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-lettuce (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 17:49 EST by Omair Majid
Modified: 2016-02-21 11:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:31:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omair Majid 2016-02-02 17:49:02 EST
Description of problem:

lettuce fails to run. Even in an empty dir.

Version-Release number of selected component (if applicable):
python-lettuce-0.2.20-1.fc23.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Run "lettuce"

Actual results:
$ lettuce
Traceback (most recent call last):
  File "/usr/bin/lettuce", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3084, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3070, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3097, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 653, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 666, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 839, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'unittest2>=1.0.0' distribution was not found and is required by testtools


Expected results:
Lettuce runs and complains about missing flags or input.
Comment 1 Bohuslav "Slavek" Kabrda 2016-02-03 05:11:53 EST
So it seems there are two problems here:
- python-unittest2 is too old in F23 (obviously)
- python-testtools RPM specifies that it requires unittest2 >= 0.8.0, but the upstream code actually requires >= 1.0.0

I'll fix the first one by updating unittest2 (which is my package as well) and I'll open a bug for testtools to fix the other. Luckily, the first change along should be enough to make lettuce working, the second one will be more of a "make sure this doesn't happen again".
Comment 2 Bohuslav "Slavek" Kabrda 2016-02-03 05:22:54 EST
Note: the testtools bug is bug 1304326.
Comment 3 Fedora Update System 2016-02-03 05:34:34 EST
python-unittest2-1.1.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-86b6acd494
Comment 4 Omair Majid 2016-02-03 12:17:03 EST
Thanks for the quick fix! This indeed fixes the bug for me.
Comment 5 Fedora Update System 2016-02-03 18:00:25 EST
python-unittest2-1.1.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-86b6acd494
Comment 6 Fedora Update System 2016-02-21 11:31:10 EST
python-unittest2-1.1.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.